/*
SQLyog Ultimate v8.55 
MySQL - 5.5.5-10.1.21-MariaDB : Database - db_online_voting
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`db_online_voting` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `db_online_voting`;

/*Table structure for table `auth_assignment` */

DROP TABLE IF EXISTS `auth_assignment`;

CREATE TABLE `auth_assignment` (
  `item_name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `user_id` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `created_at` int(11) DEFAULT NULL,
  PRIMARY KEY (`item_name`,`user_id`),
  KEY `idx-auth_assignment-user_id` (`user_id`),
  CONSTRAINT `auth_assignment_ibfk_1` FOREIGN KEY (`item_name`) REFERENCES `auth_item` (`name`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `auth_assignment` */

insert  into `auth_assignment`(`item_name`,`user_id`,`created_at`) values ('ADMINISTRATOR','1',1589545704),('ADMINISTRATOR','397',1589545714),('PESERTA_VOTING','552',1589545746),('PESERTA_VOTING','553',1589562540),('PESERTA_VOTING','554',1589562548),('PESERTA_VOTING','555',1589562560),('PESERTA_VOTING','556',1589562570),('PESERTA_VOTING','557',1589562577),('PESERTA_VOTING','558',1589562585),('PESERTA_VOTING','559',1589562593),('PESERTA_VOTING','560',1589562600),('PESERTA_VOTING','561',1589562607),('PESERTA_VOTING','562',1589562615),('PESERTA_VOTING','563',1589638889),('PESERTA_VOTING','565',NULL),('PESERTA_VOTING','566',NULL),('PESERTA_VOTING','567',NULL);

/*Table structure for table `auth_item` */

DROP TABLE IF EXISTS `auth_item`;

CREATE TABLE `auth_item` (
  `name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `type` smallint(6) NOT NULL,
  `description` text COLLATE utf8_unicode_ci,
  `rule_name` varchar(64) COLLATE utf8_unicode_ci DEFAULT NULL,
  `data` blob,
  `created_at` int(11) DEFAULT NULL,
  `updated_at` int(11) DEFAULT NULL,
  PRIMARY KEY (`name`),
  KEY `rule_name` (`rule_name`),
  KEY `idx-auth_item-type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `auth_item` */

insert  into `auth_item`(`name`,`type`,`description`,`rule_name`,`data`,`created_at`,`updated_at`) values ('/*',2,NULL,NULL,NULL,1589546620,1589546620),('/hasil-voting/online-voting',2,NULL,NULL,NULL,1589618988,1589618988),('/voting/index',2,NULL,NULL,NULL,1589728016,1589728016),('ADMINISTRATOR',1,NULL,NULL,NULL,1589545557,1589545557),('PESERTA_VOTING',1,NULL,NULL,NULL,1589545587,1589545587);

/*Table structure for table `auth_item_child` */

DROP TABLE IF EXISTS `auth_item_child`;

CREATE TABLE `auth_item_child` (
  `parent` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `child` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`parent`,`child`),
  KEY `child` (`child`),
  CONSTRAINT `auth_item_child_ibfk_1` FOREIGN KEY (`parent`) REFERENCES `auth_item` (`name`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `auth_item_child_ibfk_2` FOREIGN KEY (`child`) REFERENCES `auth_item` (`name`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `auth_item_child` */

insert  into `auth_item_child`(`parent`,`child`) values ('ADMINISTRATOR','/*'),('PESERTA_VOTING','/hasil-voting/online-voting');

/*Table structure for table `hasil_voting` */

DROP TABLE IF EXISTS `hasil_voting`;

CREATE TABLE `hasil_voting` (
  `id_voting` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `pilihan` int(11) NOT NULL,
  `status_voting` int(11) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `updated_by` int(11) DEFAULT NULL,
  `active` int(11) DEFAULT '10',
  PRIMARY KEY (`id_voting`,`id_user`),
  KEY `hasil_voting_user` (`id_user`),
  CONSTRAINT `hasil_voting_user` FOREIGN KEY (`id_user`) REFERENCES `t_user` (`id`),
  CONSTRAINT `hasil_voting_voting` FOREIGN KEY (`id_voting`) REFERENCES `m_voting` (`id_voting`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

/*Data for the table `hasil_voting` */

insert  into `hasil_voting`(`id_voting`,`id_user`,`pilihan`,`status_voting`,`created_at`,`created_by`,`updated_at`,`updated_by`,`active`) values (1,553,5,1,'2020-05-16 15:50:13',553,'2020-05-16 15:50:13',553,10),(1,554,3,1,'2020-05-16 15:51:37',554,'2020-05-16 15:51:37',554,10),(1,555,3,1,'2020-05-16 15:51:58',555,'2020-05-16 15:51:58',555,10),(1,556,5,1,'2020-05-16 15:52:15',556,'2020-05-16 15:52:15',556,10),(1,557,6,1,'2020-05-16 15:52:32',557,'2020-05-16 15:52:32',557,10),(1,558,7,1,'2020-05-16 15:52:48',558,'2020-05-16 15:52:48',558,10),(1,559,3,1,'2020-05-17 22:00:40',559,'2020-05-17 22:00:40',559,10),(1,565,3,1,'2020-05-16 23:23:43',565,'2020-05-16 23:23:43',565,10),(1,566,5,1,'2020-05-17 21:50:10',566,'2020-05-17 21:50:10',566,10),(1,567,3,1,'2020-06-06 19:03:36',567,'2020-06-06 19:03:36',567,10);

/*Table structure for table `m_voting` */

DROP TABLE IF EXISTS `m_voting`;

CREATE TABLE `m_voting` (
  `id_voting` int(11) NOT NULL AUTO_INCREMENT,
  `nama_voting` varchar(500) NOT NULL,
  `periode_awal` date NOT NULL,
  `periode_tutup` date NOT NULL,
  `status_aktif` int(11) NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `updated_by` int(11) DEFAULT NULL,
  PRIMARY KEY (`id_voting`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

/*Data for the table `m_voting` */

insert  into `m_voting`(`id_voting`,`nama_voting`,`periode_awal`,`periode_tutup`,`status_aktif`,`created_at`,`updated_at`,`created_by`,`updated_by`) values (1,'Pemilihan Kepala Desa','2020-05-13','2020-05-19',1,NULL,'2020-05-16 01:04:37',397,397),(2,'Pemilihan Desa Favorit','2020-05-21','2020-05-28',0,NULL,'2020-05-16 01:04:30',397,397);

/*Table structure for table `route` */

DROP TABLE IF EXISTS `route`;

CREATE TABLE `route` (
  `name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `alias` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `status` smallint(6) NOT NULL DEFAULT '1',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `route` */

insert  into `route`(`name`,`alias`,`type`,`status`) values ('/*','*','',1),('/akun/*','*','akun',1),('/akun/create','create','akun',1),('/akun/delete','delete','akun',1),('/akun/index','index','akun',1),('/akun/update','update','akun',1),('/akun/view','view','akun',1),('/debug/*','*','debug',1),('/debug/default/*','*','debug/default',1),('/debug/default/db-explain','db-explain','debug/default',1),('/debug/default/download-mail','download-mail','debug/default',1),('/debug/default/index','index','debug/default',1),('/debug/default/toolbar','toolbar','debug/default',1),('/debug/default/view','view','debug/default',1),('/debug/user/*','*','debug/user',1),('/debug/user/reset-identity','reset-identity','debug/user',1),('/debug/user/set-identity','set-identity','debug/user',1),('/gii/*','*','gii',1),('/gii/default/*','*','gii/default',1),('/gii/default/action','action','gii/default',1),('/gii/default/diff','diff','gii/default',1),('/gii/default/index','index','gii/default',1),('/gii/default/preview','preview','gii/default',1),('/gii/default/view','view','gii/default',1),('/gridview/*','*','gridview',1),('/gridview/export/*','*','gridview/export',1),('/gridview/export/download','download','gridview/export',1),('/hasil-voting/*','*','hasil-voting',1),('/hasil-voting/create','create','hasil-voting',1),('/hasil-voting/delete','delete','hasil-voting',1),('/hasil-voting/filter-hasil-voting','filter-hasil-voting','hasil-voting',1),('/hasil-voting/hasil-voting','hasil-voting','hasil-voting',1),('/hasil-voting/index','index','hasil-voting',1),('/hasil-voting/online-voting','online-voting','hasil-voting',1),('/hasil-voting/rekapitulasi-pengguna-voting','rekapitulasi-pengguna-voting','hasil-voting',1),('/hasil-voting/result-voting','result-voting','hasil-voting',1),('/hasil-voting/update','update','hasil-voting',1),('/hasil-voting/view','view','hasil-voting',1),('/kandidat/*','*','kandidat',1),('/kandidat/create','create','kandidat',1),('/kandidat/delete','delete','kandidat',1),('/kandidat/index','index','kandidat',1),('/kandidat/update','update','kandidat',1),('/kandidat/view','view','kandidat',1),('/kategori/*','*','kategori',1),('/kategori/create','create','kategori',1),('/kategori/delete','delete','kategori',1),('/kategori/index','index','kategori',1),('/kategori/update','update','kategori',1),('/kategori/view','view','kategori',1),('/mimin/*','*','mimin',1),('/mimin/role/*','*','mimin/role',1),('/mimin/role/create','create','mimin/role',1),('/mimin/role/delete','delete','mimin/role',1),('/mimin/role/index','index','mimin/role',1),('/mimin/role/permission','permission','mimin/role',1),('/mimin/role/update','update','mimin/role',1),('/mimin/role/view','view','mimin/role',1),('/mimin/route/*','*','mimin/route',1),('/mimin/route/create','create','mimin/route',1),('/mimin/route/delete','delete','mimin/route',1),('/mimin/route/generate','generate','mimin/route',1),('/mimin/route/index','index','mimin/route',1),('/mimin/route/update','update','mimin/route',1),('/mimin/route/view','view','mimin/route',1),('/mimin/user/*','*','mimin/user',1),('/mimin/user/create','create','mimin/user',1),('/mimin/user/delete','delete','mimin/user',1),('/mimin/user/index','index','mimin/user',1),('/mimin/user/update','update','mimin/user',1),('/mimin/user/view','view','mimin/user',1),('/produk/*','*','produk',1),('/produk/active-record-produk','active-record-produk','produk',1),('/produk/active-record-produk-update','active-record-produk-update','produk',1),('/produk/contoh-eager-loading','contoh-eager-loading','produk',1),('/produk/contoh-lazy-loading','contoh-lazy-loading','produk',1),('/produk/create','create','produk',1),('/produk/delete','delete','produk',1),('/produk/index','index','produk',1),('/produk/manage-produk','manage-produk','produk',1),('/produk/simpan','simpan','produk',1),('/produk/update','update','produk',1),('/produk/view','view','produk',1),('/site/*','*','site',1),('/site/about','about','site',1),('/site/captcha','captcha','site',1),('/site/contact','contact','site',1),('/site/error','error','site',1),('/site/index','index','site',1),('/site/login','login','site',1),('/site/logout','logout','site',1),('/site/register','register','site',1),('/supplier/*','*','supplier',1),('/supplier/create','create','supplier',1),('/supplier/delete','delete','supplier',1),('/supplier/index','index','supplier',1),('/supplier/update','update','supplier',1),('/supplier/view','view','supplier',1),('/user/*','*','user',1),('/user/create','create','user',1),('/user/delete','delete','user',1),('/user/index','index','user',1),('/user/update','update','user',1),('/user/view','view','user',1),('/voting/*','*','voting',1),('/voting/create','create','voting',1),('/voting/delete','delete','voting',1),('/voting/index','index','voting',1),('/voting/index-hasil-voting','index-hasil-voting','voting',1),('/voting/index-pengguna-voting','index-pengguna-voting','voting',1),('/voting/update','update','voting',1),('/voting/view','view','voting',1),('/voting/viewdata','viewdata','voting',1);

/*Table structure for table `t_kandidat` */

DROP TABLE IF EXISTS `t_kandidat`;

CREATE TABLE `t_kandidat` (
  `id_kandidat` int(11) NOT NULL AUTO_INCREMENT,
  `nama_kandidat` varchar(500) NOT NULL,
  `id_voting` int(11) NOT NULL,
  PRIMARY KEY (`id_kandidat`),
  KEY `kandidat_user` (`id_voting`),
  CONSTRAINT `kandidat_user` FOREIGN KEY (`id_voting`) REFERENCES `m_voting` (`id_voting`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

/*Data for the table `t_kandidat` */

insert  into `t_kandidat`(`id_kandidat`,`nama_kandidat`,`id_voting`) values (3,'Ruben Lumbantobing',1),(5,'Sabar Lumbantobing',1),(6,'Ramos Lumbantobing',1),(7,'Allen Lumbantobing',1);

/*Table structure for table `t_user` */

DROP TABLE IF EXISTS `t_user`;

CREATE TABLE `t_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) NOT NULL,
  `auth_key` varchar(255) DEFAULT NULL,
  `password_hash` varchar(255) NOT NULL,
  `password_reset_token` varchar(255) DEFAULT NULL,
  `email` varchar(255) NOT NULL,
  `status` smallint(6) NOT NULL DEFAULT '10',
  `created_at` int(11) NOT NULL,
  `updated_at` int(11) NOT NULL,
  `id_lokasi` varchar(255) DEFAULT NULL,
  `inisial_user` varchar(255) DEFAULT NULL,
  `nama_user` varchar(255) DEFAULT NULL,
  `telp` varchar(255) DEFAULT NULL,
  `foto` varchar(255) DEFAULT NULL,
  `alamat` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`),
  UNIQUE KEY `email` (`email`),
  UNIQUE KEY `password_reset_token` (`password_reset_token`)
) ENGINE=InnoDB AUTO_INCREMENT=568 DEFAULT CHARSET=latin1;

/*Data for the table `t_user` */

insert  into `t_user`(`id`,`username`,`auth_key`,`password_hash`,`password_reset_token`,`email`,`status`,`created_at`,`updated_at`,`id_lokasi`,`inisial_user`,`nama_user`,`telp`,`foto`,`alamat`) values (1,'admin','vpnmGId3mPT_VsPNGXR3BhffcP4L81Nk','$2y$13$50cb2EoJMeynt6wzgTd8eO1MUojq9fBegMYJW.sMd401Vu09ceXIK',NULL,'admin@onlinevoting.com',10,1510644852,1589723382,'admin','admin',NULL,NULL,NULL,NULL),(397,'administrator','','$2y$13$5plhgGsV6UE6ZeAx55SHq.pdhGqpRLEXBB.1ee1J1r1CEhQXNVt0.',NULL,'administrator@gmail.com',10,1567596003,1579279763,NULL,'administrator',NULL,NULL,NULL,NULL),(552,'henny.panjaitan',NULL,'$2y$13$QjjD9FQ/.n5Qkhhywa4E.O8eG/uIbfEe/jcpPGOcJNcA4WxruE6ny',NULL,'henny.panjaitan@gmail.com',10,1589545741,1589545741,NULL,NULL,NULL,NULL,NULL,NULL),(553,'user01',NULL,'$2y$13$K90aQtrZx3DC.Dme6WJu9.a2rJvpT4hjmCvUgKBfRlu2N0YY1YyEG',NULL,'user01@gmail.com',10,1589562419,1589562419,NULL,NULL,'User 01',NULL,NULL,NULL),(554,'user02',NULL,'$2y$13$L7D6Iv6Gr5T7bGsyDUo6ROKS.vNU9aUOG4P1cOFyX6tXB4WMQghvi',NULL,'user02@gmail.com',10,1589562429,1589562429,NULL,NULL,'User 02',NULL,NULL,NULL),(555,'user03',NULL,'$2y$13$sl6bWJZPz.GjtPr0WMhKAei5eNWgZQiwoISRccHZPfbw6QkhHIBTC',NULL,'user03@gmail.com',10,1589562438,1589562438,NULL,NULL,'User 03',NULL,NULL,NULL),(556,'user04',NULL,'$2y$13$Pjg7KnVWCZtAyLrcQB8b9ujxzxdRYrVbjPwdNMRVrABEU0mPsCChi',NULL,'user04@gmail.com',10,1589562446,1589562446,NULL,NULL,'User 04',NULL,NULL,NULL),(557,'user05',NULL,'$2y$13$yxB/upBadZAd/P4MCG8Gw.LliVEgozNgcg//GA0LWmu3tVligi19G',NULL,'user05@gmail.com',10,1589562454,1589562454,NULL,NULL,'User 05',NULL,NULL,NULL),(558,'user06',NULL,'$2y$13$KDN.0RjYfT92Q7bOJSiImukk9vITvIVVPIJVXFBbhUJJY0/JpqZqa',NULL,'user06@gmail.com',10,1589562463,1589562463,NULL,NULL,'User 06',NULL,NULL,NULL),(559,'user07',NULL,'$2y$13$7utYndRK73H/9zJr8OKYc.PQEc9PS.dB6nZZb.LWBBPm10G/xrcVm',NULL,'user07@gmail.com',10,1589562472,1589562472,NULL,NULL,'User 07',NULL,NULL,NULL),(560,'user08',NULL,'$2y$13$2C.V1ClqzUSDDLn8ltGnuuNJqgSMkqLb4LQ5B72YPbSU3rIzij/H.',NULL,'user08@gmail.com',10,1589562480,1589562480,NULL,NULL,'User 08',NULL,NULL,NULL),(561,'user09',NULL,'$2y$13$jw6VCxM4eFP8r9ptrTsNt.ytMaAXC.QJQuKsvquB8GAEqouTiv4wO',NULL,'user09@gmail.com',10,1589562489,1589562489,NULL,NULL,'User 09',NULL,NULL,NULL),(562,'user10',NULL,'$2y$13$aSk55g6eDIUPxIyJTy/P4ey8UGTLRTtsiDVgzYMbBajYPLbwz.9Ju',NULL,'user10@gmail.com',10,1589562499,1589562499,NULL,NULL,'User 10',NULL,NULL,NULL),(565,'testing',NULL,'$2y$13$HbUtvRN2G75/8HkR8TJ1f.0qC3Gc1sTCAniQ8cDIVzghNoa/Frclu',NULL,'sahabatbelajarofficial@gmail.com',10,1589640566,1589640566,NULL,NULL,'Testing',NULL,NULL,NULL),(566,'henny.f',NULL,'$2y$13$U0FOZ4trZkWvAYvXsmUt8eyxTcS5FV29LiKqZiV6SUXtg0U/K7yZu',NULL,'hennypanjaitan5@gmail.com',10,1589726285,1589726285,NULL,NULL,'henny panjaitan',NULL,NULL,NULL),(567,'hennyflora',NULL,'$2y$13$m0CoWFrbh9WefYIVCBZbPOBrhabj3HQwjC3byp.7GXfnFaZDa9IXi',NULL,'hennypanjaitan30@gmail.com',10,1591444268,1591444268,NULL,NULL,'henny panjaitan',NULL,NULL,NULL);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
